Subject: RE: [PATCH/2.6.17-rc4 8/10] Add tsi108 8250 serial support

From: Adrian Cox <[email-masked]>
Date: Wed, 14 Jun 2006 15:25:28 +0100

On Tue, 2006-06-13 at 13:39 +0800, Zang Roy-r61911 wrote:

> The reason is that the serial port on tsi108/9 is a bit difference with the 
> standard 8250 serial port. the patch deal with the difference.
> The prefixed ">" is caused by "Fw" the email. Sorry for that. The following 
> is the original patch.

The problem I see is that the code uses a CONFIG option, to change the
behaviour of the generic 8250 driver. What happens if somebody adds a
PCI serial card to a tsi108 based machine?

Perhaps you should define a new value for uart_8250_port.port.iotype,
and add code to serial_in and serial_out to handle the IIR register.

-- 
Adrian Cox <[email-masked]>